# GetFullPerformanceInformation

### Introduction

The GetFullPerformanceInformation is a quick way to determine why your game may be experiencing poor performance. This method will not always reveal performance problems, but it's a great place to start when working on your game's performance.

### Code Example

This method returns a string which can be printed out to screen using the Debugger's Write. The following code can be added to your Screen's CustomActivity to see information about your game:

```lang:c#
FlatRedBall.Debugging.Debugger.TextCorner = FlatRedBall.Debugging.Debugger.Corner.TopLeft;
FlatRedBall.Debugging.Debugger.Write(FlatRedBall.Debugging.Debugger.GetFullPerformanceInformation());
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/debugging/debugger/getfullperformanceinformation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
